package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.report.QualityAnalyseReportBean;
import com.qmth.sop.business.entity.TBService;

import java.util.List;

/**
 * @Description: 质量监控分析报表service
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/9/18
 */
public interface QualityAnalyseReportService extends IService<TBService> {

    /**
     * 大区质量问题统计
     *
     * @param serviceId
     * @return
     */
    List<QualityAnalyseReportBean> areaQualityReport(Long serviceId);

    /**
     * 人力商质量问题统计
     *
     * @param serviceId
     * @return
     */
    List<QualityAnalyseReportBean> humanSupplierQualityReport(Long serviceId);
}
